<?php

  $zoo_safari_theme_custom_setting_css = '';

    // Global Color
    $zoo_safari_first_theme_color = get_theme_mod('zoo_safari_first_theme_color', '#85975A');
    $zoo_safari_second_theme_color = get_theme_mod('zoo_safari_second_theme_color', '#F3F0E5');
    $zoo_safari_third_theme_color = get_theme_mod('zoo_safari_third_theme_color', '#000000');

    $zoo_safari_theme_custom_setting_css .=':root {';
        $zoo_safari_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($zoo_safari_first_theme_color ).'!important;';
        $zoo_safari_theme_custom_setting_css .='--secondary-theme-color: '.esc_attr($zoo_safari_second_theme_color ).'!important;';
        $zoo_safari_theme_custom_setting_css .='--tertiary-theme-color: '.esc_attr($zoo_safari_third_theme_color ).'!important;';
    $zoo_safari_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$zoo_safari_scroll_alignment = get_theme_mod('zoo_safari_scroll_alignment', 'right');

    if($zoo_safari_scroll_alignment == 'right'){
        $zoo_safari_theme_custom_setting_css .='.scroll-up{';
            $zoo_safari_theme_custom_setting_css .='right: 30px;!important;';
			$zoo_safari_theme_custom_setting_css .='left: auto;!important;';
        $zoo_safari_theme_custom_setting_css .='}';
    }else if($zoo_safari_scroll_alignment == 'center'){
        $zoo_safari_theme_custom_setting_css .='.scroll-up{';
            $zoo_safari_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $zoo_safari_theme_custom_setting_css .='}';
    }else if($zoo_safari_scroll_alignment == 'left'){
        $zoo_safari_theme_custom_setting_css .='.scroll-up{';
            $zoo_safari_theme_custom_setting_css .='left: 30px;!important;';
			$zoo_safari_theme_custom_setting_css .='right: auto;!important;';
        $zoo_safari_theme_custom_setting_css .='}';
    }

    // Woocommerce Sale Position
    $zoo_safari_sale_badge_position = get_theme_mod( 'zoo_safari_sale_badge_position','right');
    if($zoo_safari_sale_badge_position == 'left'){
        $zoo_safari_theme_custom_setting_css .='.woocommerce ul.products li.product .onsale{';
            $zoo_safari_theme_custom_setting_css .='left: 10px; right: auto;';
        $zoo_safari_theme_custom_setting_css .='}';
    }else if($zoo_safari_sale_badge_position == 'right'){
        $zoo_safari_theme_custom_setting_css .='.woocommerce ul.products li.product .onsale{';
            $zoo_safari_theme_custom_setting_css .='left: auto; right: 10px;';
        $zoo_safari_theme_custom_setting_css .='}';
    }

    // Featured Image Hover Effect
    $zoo_safari_show_featured = get_theme_mod('zoo_safari_featured_image_hide_show', 1);
    $zoo_safari_hover_effect = get_theme_mod('zoo_safari_single_post_featured_image_hover','none');

    if ( $zoo_safari_show_featured && $zoo_safari_hover_effect !== 'none' ) {

    $zoo_safari_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $zoo_safari_hover_effect === 'zoom-in' ) {
        $zoo_safari_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $zoo_safari_hover_effect === 'zoom-out' ) {
        $zoo_safari_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $zoo_safari_hover_effect === 'grayscale' ) {
        $zoo_safari_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $zoo_safari_hover_effect === 'sepia' ) {
        $zoo_safari_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $zoo_safari_hover_effect === 'blur' ) {
        $zoo_safari_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $zoo_safari_hover_effect === 'bright' ) {
        $zoo_safari_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $zoo_safari_hover_effect === 'translate' ) {
        $zoo_safari_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $zoo_safari_hover_effect === 'scale' ) {
        $zoo_safari_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $zoo_safari_show_featured = get_theme_mod('zoo_safari_featured_image_hide_show', 1);
    $zoo_safari_hover_effect = get_theme_mod('zoo_safari_product_featured_image_hover','none');

    if ( $zoo_safari_show_featured && $zoo_safari_hover_effect !== 'none' ) {

    $zoo_safari_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $zoo_safari_hover_effect === 'zoom-in' ) {
        $zoo_safari_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $zoo_safari_hover_effect === 'zoom-out' ) {
        $zoo_safari_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $zoo_safari_hover_effect === 'grayscale' ) {
        $zoo_safari_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $zoo_safari_hover_effect === 'sepia' ) {
        $zoo_safari_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $zoo_safari_hover_effect === 'blur' ) {
        $zoo_safari_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $zoo_safari_hover_effect === 'bright' ) {
        $zoo_safari_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $zoo_safari_hover_effect === 'translate' ) {
        $zoo_safari_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $zoo_safari_hover_effect === 'scale' ) {
        $zoo_safari_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
} 
